## GoatOS cookbook
[Chef](https://www.chef.io/chef/) cookbook for building and testing chef using [linux containers](https://linuxcontainers.org/), [GoCD](http://www.go.cd/) and [blender](https://github.com/PagerDuty/blender)

### Description
GoatOS cookbook provides following recipes:
- `master` to install GoCD server
- `slave` to install GoCD agent that are capable of running containers

Out of the box the master recipe will also setup build and CI pipelines
for following projects:
  1. Chef - the main chef repo
  2. Chef-LXC - Chef and LXC bindings
  3. Omnibus-chef - Build a omnibus builder container using omnibus cookbook and build omnibus-chef inside it
  3. GoatOS::Spec - A set of specs against these cookbooks:
    - mysql
    - memcached

GoCD agent and containers will be installed as 'goatos' user by default. All containers will
be stored at '/opt/goatos' directory. These two can be controlled by, following attributes:
```ruby
node['goatos']['user']
node['goatos']['directory']
```
Change their value either in role, environment or wrapper recipes, as per your setup.

For a standalone set `goatos::master` and `goatos::slave` both in the node's run list.

## License
[Apache 2](http://www.apache.org/licenses/LICENSE-2.0)

## Contributing

1. Fork it ( https://github.com/GoatOS/goatos/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
